//
//  SpeakEleQAModel.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/11.
//

import UIKit

enum SpeakRoleState : Int,Codable{
    case speakAI = 0
    case speakUser = 1
    case speakNone = 2
}

enum SpeakMessageType:Int,Codable {
    case none =     0   //
    case name =     1   // 姓名
    case language = 2   // 母语
    case like =     3   // 偏好的语言
    case hobby =    4   // 爱好
    case improving = 5  // 改善
    case proficiency = 6// 目前水平
    case goalDays   = 7 // 目标时间
    case studytime = 8  // 学习时间
    case practice = 9   // 练习时间
    case finish = 10    // 结束
}


struct SpeakEleQAModel : Codable {
    
    var speakMsg:String = ""
    var transtr:String = ""
    var role:SpeakRoleState = .speakAI
    var messageType:SpeakMessageType = .none
    
}
